# Generated from rswagger-api-2.0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rswagger-api

Name: rubygem-%{gem_name}
Version: 2.0.7
Release: 1%{?dist}
Summary: A Rails Engine that exposes Swagger files as JSON endpoints
License: MIT
URL: https://github.com/yarikov/rswag
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Open up your API to the phenomenal Swagger ecosystem by exposing Swagger
files, that describe your service, as JSON endpoints.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile

%changelog
* Wed Aug 25 2021 mockbuilder - 2.0.7-1
- Initial package
